package com.iamberry.wechat.face.questionnaire;

import java.util.List;

import com.iamberry.wechat.core.entity.questionnaire.QuestionnaireAnswer;
import com.iamberry.wechat.core.entity.questionnaire.QuestionnaireQuestionDto;
import com.iamberry.wechat.tools.ResponseJson;


/**
 * 营养自测-接口类
 * @author Administrator
 *
 */
public interface QuestionnaireService {
	/**
	 * 分页查询题库所有题目信息
	 * @param questionnaireQuestionDto
	 * @return
	 */
	public List<QuestionnaireQuestionDto> getAllProblem(QuestionnaireQuestionDto questionnaireQuestionDto);
	
	
	/**
	 * 查询题库所有题目条数
	 * @param questionnaireQuestionDto
	 * @return
	 */
	public int getAllProblemCount(QuestionnaireQuestionDto questionnaireQuestionDto);
	
	/**
	 * 修改题目状态
	 * @param questionStatu
	 * @return
	 * @author
	 */
	public Integer updateQuestionStatu(QuestionnaireQuestionDto questionnaireQuestionDto);
	
	/**
	 * 新增题目
	 * @param questionnaireQuestionDto
	 * @return
	 * @author
	 */
	public QuestionnaireQuestionDto insertQuestion(QuestionnaireQuestionDto questionnaireQuestionDto,String[] options,String[] optionScore,String[] optionIsChekcbox);
	
	/**
	 * 修改题目信息
	 * @param questionnaireQuestionDto
	 * @return
	 */
	public Integer updateQuestion(QuestionnaireQuestionDto questionnaireQuestionDto);

	/**
	 * 根据id查询题目信息
	 * @param questionnaireQuestionDto
	 * @return
	 */
	public	QuestionnaireQuestionDto getProblemById(Integer questionId);
	
	/**
	 * 删除题目
	 * @param questionId
	 * @return
	 */
	public Integer deleteQuestion(Integer questionId);

	/**
	 * 删除试卷题目
	 * @param questionId
	 * @return
	 */
	public Integer deletePaperQuestion(Integer questionId);
	
	/**
	 * 修改题目信息
	 * @param questionId
	 * @return
	 */
	public Integer updatePaperOrder(QuestionnaireQuestionDto questionnaireQuestionDto); 
}
